drop ooo#86080 bodge, there's better ways to deploy shared extensions now
This commit is contained in:
parent
318686ce75
commit
dd325a8906
@ -221,24 +221,22 @@ Requires: %{name}-base%{?_isa} = %{epoch}:%{version}-%{release}
|
||||
Requires: %{name}-emailmerge%{?_isa} = %{epoch}:%{version}-%{release}
|
||||
|
||||
# not upstreamed
|
||||
Patch0: openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch
|
||||
Patch0: openoffice.org-3.1.0.oooXXXXX.solenv.allowmissing.patch
|
||||
# not upstreamed
|
||||
Patch1: openoffice.org-3.1.0.oooXXXXX.solenv.allowmissing.patch
|
||||
Patch1: libreoffice-installfix.patch
|
||||
# not upstreamed
|
||||
Patch2: libreoffice-installfix.patch
|
||||
Patch2: 0001-Resolves-rhbz-1035092-no-shortcut-key-for-Italian-To.patch
|
||||
# not upstreamed
|
||||
Patch3: 0001-Resolves-rhbz-1035092-no-shortcut-key-for-Italian-To.patch
|
||||
Patch3: 0001-never-run-autogen.sh.patch
|
||||
# not upstreamed
|
||||
Patch4: 0001-never-run-autogen.sh.patch
|
||||
# not upstreamed
|
||||
Patch5: 0001-add-X-TryExec-entries-to-desktop-files.patch
|
||||
Patch6: 0001-rhbz-1353069-don-t-record-undo-information-in-the-cl.patch
|
||||
Patch7: 0001-convert-angle-from-degrees-to-radians-for-glm.patch
|
||||
Patch8: 0001-remove-OpenGL-transitions-config.-file-from-scheme.patch
|
||||
Patch4: 0001-add-X-TryExec-entries-to-desktop-files.patch
|
||||
Patch5: 0001-rhbz-1353069-don-t-record-undo-information-in-the-cl.patch
|
||||
Patch6: 0001-convert-angle-from-degrees-to-radians-for-glm.patch
|
||||
Patch7: 0001-remove-OpenGL-transitions-config.-file-from-scheme.patch
|
||||
# not upstreamed: upstream wants an automatic restart after a crash; we
|
||||
# want a nice abrt report
|
||||
Patch9: 0001-don-t-suppress-crashes.patch
|
||||
Patch10: 0001-catch-and-rethrow-later-uno-exceptions-within-glib-s.patch
|
||||
Patch8: 0001-don-t-suppress-crashes.patch
|
||||
Patch0: 0001-catch-and-rethrow-later-uno-exceptions-within-glib-s.patch
|
||||
|
||||
%if 0%{?rhel}
|
||||
# not upstreamed
|
||||
|
@ -1,81 +0,0 @@
|
||||
From 43b718b8687d087cd6cc28991efb3b7f507e6e3a Mon Sep 17 00:00:00 2001
|
||||
From: David Tardon <dtardon@redhat.com>
|
||||
Date: Mon, 3 Feb 2014 20:24:50 +0100
|
||||
Subject: [PATCH] i#86080 unopkg bodge
|
||||
|
||||
---
|
||||
desktop/scripts/unopkg.sh | 53 +++++++++++++++++++++++++++++++++++++++++++++--
|
||||
1 file changed, 51 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/desktop/scripts/unopkg.sh b/desktop/scripts/unopkg.sh
|
||||
index 18d0a73..6bab04f 100755
|
||||
--- a/desktop/scripts/unopkg.sh
|
||||
+++ b/desktop/scripts/unopkg.sh
|
||||
@@ -61,6 +61,53 @@ do
|
||||
esac
|
||||
done
|
||||
|
||||
+if [ $isnotuser -eq 1 ]; then
|
||||
+ echo $@ | grep -q env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ set -- $@ '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'
|
||||
+ fi
|
||||
+ echo $@ | grep -q env:UNO_JAVA_JFW_INSTALL_DATA
|
||||
+ if [ $? -ne 0 -a -w $sd_prog/../share/config/javasettingsunopkginstall.xml ]; then
|
||||
+ set -- $@ '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
|
||||
+ fi
|
||||
+ echo $@ | grep -q env:UserInstallation
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ INSTDIR=`/bin/mktemp -d --tmpdir unoinstall.XXXXXX`
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ echo "Could not create tmp dir" >&2
|
||||
+ exit 1
|
||||
+ fi
|
||||
+ set -- $@ '-env:UserInstallation=file://'$INSTDIR
|
||||
+ fi
|
||||
+fi
|
||||
+
|
||||
+isnotuser=0
|
||||
+for arg in $@
|
||||
+do
|
||||
+if [ "$arg" = "--shared" -o "$arg" = "--bundled" ]; then
|
||||
+ isnotuser=1
|
||||
+fi
|
||||
+done
|
||||
+if [ $isnotuser -eq 1 ]; then
|
||||
+ echo $@ | grep -q env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ set -- $@ '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'
|
||||
+ fi
|
||||
+ echo $@ | grep -q env:UNO_JAVA_JFW_INSTALL_DATA
|
||||
+ if [ $? -ne 0 -a -w $sd_prog/../share/config/javasettingsunopkginstall.xml ]; then
|
||||
+ set -- $@ '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
|
||||
+ fi
|
||||
+ echo $@ | grep -q env:UserInstallation
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ INSTDIR=`/bin/mktemp -d --tmpdir unoinstall.XXXXXX`
|
||||
+ if [ $? -ne 0 ]; then
|
||||
+ echo "Could not create tmp dir" >&2
|
||||
+ exit 1
|
||||
+ fi
|
||||
+ set -- $@ '-env:UserInstallation=file://'$INSTDIR
|
||||
+ fi
|
||||
+fi
|
||||
+
|
||||
# extend the ld_library_path for java: javaldx checks the sofficerc for us
|
||||
if [ -x "${sd_prog}/javaldx" ] ; then
|
||||
my_path=`"${sd_prog}/javaldx" $BOOTSTRAPVARS \
|
||||
@@ -89,6 +136,8 @@ unset XENVIRONMENT
|
||||
# SAL_NO_XINITTHREADS=true; export SAL_NO_XINITTHREADS
|
||||
|
||||
# execute binary
|
||||
-exec "$sd_prog/unopkg.bin" "$@" \
|
||||
+"$sd_prog/unopkg.bin" "$@" \
|
||||
"-env:INIFILENAME=vnd.sun.star.pathname:$sd_prog/redirectrc"
|
||||
-
|
||||
+if [ -n "$INSTDIR" ]; then
|
||||
+ rm -rf $INSTDIR
|
||||
+fi
|
||||
--
|
||||
2.1.0
|
||||
|
Loading…
x
Reference in New Issue
Block a user